|  | Home · Modules · Classes · Namespaces · Functions |

# <QxtGlobal> - Global Qxt Declarations

The <QxtGlobal> header provides basic declarations and is included by all other Qxt headers. More...

## Macros

| QXT_VERSION
| QXT_VERSION_STR

## Macro Documentation

### QXT_VERSION

This macro expands a numeric value of the form 0xMMNNPP (MM = major, NN = minor, PP = patch) that specifies Qxt's version number. For example, if you compile your application against Qxt 0.4.0, the QXT_VERSION macro will expand to 0x000400.

You can use QXT_VERSION to use the latest Qt features where available. For example:

        #if QXT_VERSION >= 0x000400
            qxtTabWidget->setTabMovementMode(QxtTabWidget::InPlaceMovement);
        #endif

See also QXT_VERSION_STR and qxtVersion().

### QXT_VERSION_STR

This macro expands to a string that specifies Qxt's version number (for example, "0.4.0"). This is the version against which the application is compiled.

See also qxtVersion() and QXT_VERSION.